Valorant API Unofficial docs
API Reference Local Endpoints
POST

Send Friend Request

Sends a friend request to a player. Can be used in conjunction with Friend Requests and Remove Friend Request to determine a player's PUUID from their game name.

Server Local client Auth Basic · lockfile
POST https://127.0.0.1:{port}/chat/v4/friendrequests

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Body

game_name string
game_tag string

Response

requests array[any]

Empty array